import java.awt.*;
import java.awt.event.*;
import java.awt.geom.*;

public class RectShapes extends Frame  {
    
  public static void main(String[] args) {
    new RectShapes();
  }

  public RectShapes() {
    setSize(500, 400);
    setLocation(200, 200);
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(0);
      }
    });
    setVisible(true);
  }
  
  public void paint(Graphics g) {
    Graphics2D g2 = (Graphics2D)g;
    
    g2.draw(new Rectangle2D.Double(50, 50, 150, 100));
    g2.draw(new RoundRectangle2D.Double(50, 200, 150, 100, 30, 30));
	g2.draw(new Ellipse2D.Double(250, 50, 150, 100));
	g2.draw(new Arc2D.Double(250, 200, 150, 100, 0, 120, Arc2D.PIE));
  }
  
}
